﻿using System;
using System.Collections.ObjectModel;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Ink;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using Telerik.Windows.Controls;
using Telerik.Windows.Controls.ScheduleView;

namespace ScheduleViewUpdateHeaders
{
    public class ViewModel : ViewModelBase
    {
        private bool _isVisibleRangeUpdated;

        public bool IsVisibleRangeUpdated
        {
            get { return this._isVisibleRangeUpdated; }
            set
            {
                if (this._isVisibleRangeUpdated != value)
                {
                    this._isVisibleRangeUpdated = value;
                    this.OnPropertyChanged(() => IsVisibleRangeUpdated);
                }
            }
        }

        public ICommand VisibleRangeChanged
        {
            get;
            private set;
        }

        public NotifyItemPropertyChangedCollection<Appointment> Appointments { get; set; }
        public ObservableCollection<ResourceType> ResourceTypes { get; set; }

        public ViewModel()
        {
            this.IsVisibleRangeUpdated = false;
            this.Appointments = new NotifyItemPropertyChangedCollection<Appointment>();

            var resType = new ResourceType("Person");
            resType.Resources.Add( new Resource("Michael"));
            resType.Resources.Add(new Resource("Elleonora"));
            this.ResourceTypes = new ObservableCollection<ResourceType>() { resType };

            this.VisibleRangeChanged = new DelegateCommand(this.VisibleRangeExecuted, (param) => true);
        }


        private void VisibleRangeExecuted(object param)
        {
            this.IsVisibleRangeUpdated = !this.IsVisibleRangeUpdated;
        }
    }
}
